.. role:: hidden
    :class: hidden-section

My NN Layers
============


Modules
-------

.. currentmodule:: encoding.nn

:hidden:`Encoding`
~~~~~~~~~~~~~~~~~~

.. autoclass:: Encoding
    :members:

:hidden:`Inspiration`
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: Inspiration
    :members:

:hidden:`UpsampleConv2d`
~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: UpsampleConv2d
    :members:

:hidden:`DilatedAvgPool2d`
~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: DilatedAvgPool2d
    :members:

Functions
---------

.. currentmodule:: encoding.functions

:hidden:`aggregate`
~~~~~~~~~~~~~~~~~~~

.. autofunction:: aggregate

:hidden:`scaledL2`
~~~~~~~~~~~~~~~~~~~

.. autofunction:: scaledL2

